Bug 1282844 - [abrt] webkitgtk4: IPC::Connection::didFailToSendSyncMessage(): WebKitWebProcess killed by SIGSEGV
Summary: [abrt] webkitgtk4: IPC::Connection::didFailToSendSyncMessage(): WebKitWebProc...
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: webkitgtk4   
(Show other bugs)
Version: 23
Hardware: x86_64 Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tomas Popela
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:92f7d62458aa5508c833c42af69...
Keywords:
: 1274943 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-11-17 15:40 UTC by madstitz
Modified: 2016-07-20 05:25 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-01 23:48:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (95.97 KB, text/plain)
2015-11-17 15:40 UTC, madstitz
no flags Details
File: cgroup (190 bytes, text/plain)
2015-11-17 15:40 UTC, madstitz
no flags Details
File: core_backtrace (10.95 KB, text/plain)
2015-11-17 15:40 UTC, madstitz
no flags Details
File: dso_list (19.99 KB, text/plain)
2015-11-17 15:40 UTC, madstitz
no flags Details
File: environ (1.09 KB, text/plain)
2015-11-17 15:40 UTC, madstitz
no flags Details
File: exploitable (100 bytes, text/plain)
2015-11-17 15:40 UTC, madstitz
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-17 15:40 UTC, madstitz
no flags Details
File: maps (100.47 KB, text/plain)
2015-11-17 15:40 UTC, madstitz
no flags Details
File: mountinfo (4.65 KB, text/plain)
2015-11-17 15:40 UTC, madstitz
no flags Details
File: namespaces (85 bytes, text/plain)
2015-11-17 15:40 UTC, madstitz
no flags Details
File: open_fds (6.13 KB, text/plain)
2015-11-17 15:40 UTC, madstitz
no flags Details
File: proc_pid_status (1023 bytes, text/plain)
2015-11-17 15:40 UTC, madstitz
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
WebKit Project 154886 None None None 2016-03-01 23:48 UTC

Description madstitz 2015-11-17 15:40:23 UTC
Version-Release number of selected component:
webkitgtk4-2.10.3-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/libexec/webkit2gtk-4.0/WebKitWebProcess 33
crash_function: IPC::Connection::didFailToSendSyncMessage
executable:     /usr/libexec/webkit2gtk-4.0/WebKitWebProcess
global_pid:     8181
kernel:         4.2.5-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #14 IPC::Connection::didFailToSendSyncMessage at /usr/src/debug/webkitgtk-2.10.3/Source/WebKit2/Platform/IPC/Connection.cpp:862
 #15 IPC::Connection::sendSyncMessage at /usr/src/debug/webkitgtk-2.10.3/Source/WebKit2/Platform/IPC/Connection.cpp:465
 #16 IPC::Connection::sendSync<Messages::WebProcessProxy::ShouldTerminate>(Messages::WebProcessProxy::ShouldTerminate&&, Messages::WebProcessProxy::ShouldTerminate::Reply&&, unsigned long, std::chrono::duration<long, std::ratio<1l, 1000l> >, unsigned int) at /usr/src/debug/webkitgtk-2.10.3/Source/WebKit2/Platform/IPC/Connection.h:376
 #17 WebKit::WebProcess::shouldTerminate at /usr/src/debug/webkitgtk-2.10.3/Source/WebKit2/WebProcess/WebProcess.cpp:586
 #18 WebKit::ChildProcess::terminationTimerFired at /usr/src/debug/webkitgtk-2.10.3/Source/WebKit2/Shared/ChildProcess.cpp:150
 #19 WebKit::WebPage::close at /usr/src/debug/webkitgtk-2.10.3/Source/WebKit2/WebProcess/WebPage/WebPage.cpp:1007
 #20 IPC::callMemberFunctionImpl<WebKit::WebPage, void (WebKit::WebPage::*)(), std::tuple<>>(WebKit::WebPage*, void (WebKit::WebPage::*)(), std::tuple<>&&, std::index_sequence<>) at /usr/src/debug/webkitgtk-2.10.3/Source/WebKit2/Platform/IPC/HandleMessage.h:16
 #21 IPC::callMemberFunction<WebKit::WebPage, void (WebKit::WebPage::*)(), std::tuple<>, std::make_index_sequence<0ul> >(std::tuple<>&&, WebKit::WebPage*, void (WebKit::WebPage::*)()) at /usr/src/debug/webkitgtk-2.10.3/Source/WebKit2/Platform/IPC/HandleMessage.h:22
 #22 IPC::handleMessage<Messages::WebPage::Close, WebKit::WebPage, void (WebKit::WebPage::*)()> at /usr/src/debug/webkitgtk-2.10.3/Source/WebKit2/Platform/IPC/HandleMessage.h:92
 #23 WebKit::WebPage::didReceiveWebPageMessage at /usr/src/debug/webkitgtk-2.10.3/x86_64-redhat-linux-gnu/DerivedSources/WebKit2/WebPageMessageReceiver.cpp:673

Potential duplicate: bug 1274943

Comment 1 madstitz 2015-11-17 15:40:28 UTC
Created attachment 1095532 [details]
File: backtrace

Comment 2 madstitz 2015-11-17 15:40:30 UTC
Created attachment 1095533 [details]
File: cgroup

Comment 3 madstitz 2015-11-17 15:40:31 UTC
Created attachment 1095534 [details]
File: core_backtrace

Comment 4 madstitz 2015-11-17 15:40:33 UTC
Created attachment 1095535 [details]
File: dso_list

Comment 5 madstitz 2015-11-17 15:40:35 UTC
Created attachment 1095536 [details]
File: environ

Comment 6 madstitz 2015-11-17 15:40:36 UTC
Created attachment 1095537 [details]
File: exploitable

Comment 7 madstitz 2015-11-17 15:40:38 UTC
Created attachment 1095538 [details]
File: limits

Comment 8 madstitz 2015-11-17 15:40:40 UTC
Created attachment 1095539 [details]
File: maps

Comment 9 madstitz 2015-11-17 15:40:42 UTC
Created attachment 1095540 [details]
File: mountinfo

Comment 10 madstitz 2015-11-17 15:40:43 UTC
Created attachment 1095541 [details]
File: namespaces

Comment 11 madstitz 2015-11-17 15:40:45 UTC
Created attachment 1095542 [details]
File: open_fds

Comment 12 madstitz 2015-11-17 15:40:46 UTC
Created attachment 1095543 [details]
File: proc_pid_status

Comment 13 Giulio 'juliuxpigface' 2015-12-03 07:21:04 UTC
Another user experienced a similar problem:

I was browsing the website http://it.fedoracommunity.org, with Epiphany, in a Gnome+Wayland session.

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/libexec/webkit2gtk-4.0/WebKitWebProcess 27
crash_function: IPC::Connection::didFailToSendSyncMessage
executable:     /usr/libexec/webkit2gtk-4.0/WebKitWebProcess
global_pid:     3459
kernel:         4.2.6-301.fc23.x86_64
package:        webkitgtk4-2.10.4-1.fc23
reason:         WebKitWebProcess killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 14 Berend De Schouwer 2015-12-21 12:43:41 UTC
Another user experienced a similar problem:

close a tab in epiphany

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/libexec/webkit2gtk-4.0/WebKitWebProcess 60
crash_function: IPC::Connection::didFailToSendSyncMessage
executable:     /usr/libexec/webkit2gtk-4.0/WebKitWebProcess
global_pid:     23782
kernel:         4.4.0-0.rc5.git1.2.fc24.x86_64
package:        webkitgtk4-2.10.4-1.fc23
reason:         WebKitWebProcess killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 15 lejeczek 2016-01-01 17:39:35 UTC
Another user experienced a similar problem:

using Web browser I think.

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/libexec/webkit2gtk-4.0/WebKitWebProcess 45
crash_function: IPC::Connection::didFailToSendSyncMessage
executable:     /usr/libexec/webkit2gtk-4.0/WebKitWebProcess
global_pid:     8070
kernel:         4.2.8-300.fc23.x86_64
package:        webkitgtk4-2.10.4-1.fc23
reason:         WebKitWebProcess killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 16 Michael Catanzaro 2016-01-16 13:22:20 UTC
*** Bug 1274943 has been marked as a duplicate of this bug. ***

Comment 17 2284577490 2016-01-27 08:57:29 UTC
Another user experienced a similar problem:

might cookies failed,i don't know

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/libexec/webkit2gtk-4.0/WebKitWebProcess 22
crash_function: IPC::Connection::didFailToSendSyncMessage
executable:     /usr/libexec/webkit2gtk-4.0/WebKitWebProcess
global_pid:     2849
kernel:         4.3.4-300.fc23.x86_64
package:        webkitgtk4-2.10.5-1.fc23
reason:         WebKitWebProcess killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1001

Comment 18 2284577490 2016-01-27 13:17:26 UTC
sorry it codec was not install (open H264)


Note You need to log in before you can comment on or make changes to this bug.